> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Incoming Synctera Pay Transfer

> Create incoming Synctera Pay transfer
> 🚧 Beta > This is a Beta endpoint. Feedback from the community is welcome. Any breaking changes to this endpoint will be pre-announced.




## OpenAPI

````yaml openapi-v1.json post /synctera_pay/incoming/transfers
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /synctera_pay/incoming/transfers:
    post:
      tags:
        - Incoming SyncteraPay (beta)
      summary: Create Incoming Synctera Pay Transfer
      description: >
        Create incoming Synctera Pay transfer

        > 🚧 Beta > This is a Beta endpoint. Feedback from the community is
        welcome. Any breaking changes to this endpoint will be pre-announced.
      operationId: createIncomingSyncteraPayTransfer
      parameters:
        - $ref: '#/components/parameters/idempotency_key_required'
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/incoming_synctera_pay_transfer_creation_request
        description: Attributes of the Synctera Pay transfer
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/incoming_synctera_pay_transfer_response'
          description: Successful creation of a Synctera Pay transfer
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '404':
          $ref: '#/components/responses/not_found'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    idempotency_key_required:
      description: >-
        An idempotency key is an arbitrary unique value generated by client to
        detect subsequent retries of the same request. It is recommended that a
        UUID or a similar random identifier be used as an idempotency key. A
        different key must be used for each request, unless it is a retry.
      in: header
      name: Idempotency-Key
      required: true
      schema:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        type: string
  schemas:
    incoming_synctera_pay_transfer_creation_request:
      properties:
        amount:
          description: >-
            The amount in the source currency's minor unit. For example, 10000
            would be $100 for USD.
          format: int64
          minimum: 1
          type: integer
        configuration_id:
          description: >-
            The ID of the Incoming Synctera Pay configuration to be used for
            this transfer
          format: uuid
          type: string
        destination_account_id:
          description: >-
            The ID of the account in the Synctera Platform that will receive the
            funds for this transfer.
          format: uuid
          type: string
        external_data:
          description: >-
            External Data for FinTech use, copied to ledger transactions related
            to this transfer.
          type: object
        payee_id:
          description: >-
            The ID of the person or business customer in the Synctera Platform
            that is the receiver of the this transfer.
          format: uuid
          type: string
        payer_id:
          description: >-
            The ID of the person or business in the Synctera Platform that is
            the originator of the this transfer. Depending on the configuration
            being used, this does not necessarily need to be a customer.
          format: uuid
          type: string
        reference_id:
          description: >-
            The unique network reference ID assigned to the transfer by the
            FinTech. This will be copied to the reference_id of the related
            ledger transaction.
          minLength: 1
          type: string
        settlement_date:
          format: date
          type: string
        source_external_account_id:
          description: >-
            The ID of the external account in the Synctera Platform that is the
            ultimate source of funds for this transfer.
          format: uuid
          type: string
      required:
        - amount
        - configuration_id
        - destination_account_id
        - payee_id
        - payer_id
        - reference_id
        - settlement_date
        - source_external_account_id
      type: object
    incoming_synctera_pay_transfer_response:
      properties:
        amount:
          description: >-
            The amount in the source currency's minor unit. For example, 10000
            would be $100 for USD.
          format: int64
          minimum: 1
          type: integer
        configuration_id:
          description: >-
            The ID of the Incoming Synctera Pay configuration used for this
            transfer
          format: uuid
          type: string
        creation_time:
          description: The timestamp representing when the dispute was created
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
        destination_account_id:
          description: >-
            The ID of the account in the Synctera Platform that will receive the
            funds for this transfer.
          format: uuid
          type: string
        external_data:
          description: >-
            External Data for FinTech use, copied to ledger transactions related
            to this transfer.
          type: object
        id:
          description: The unique ID of the Incoming Synctera Pay transfer
          format: uuid
          type: string
        last_updated_time:
          description: The timestamp representing when the dispute was last modified
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
        payee_id:
          description: >-
            The ID of the person or business customer in the Synctera Platform
            that is the receiver of the this transfer.
          format: uuid
          type: string
        payer_id:
          description: >-
            The ID of the person or business in the Synctera Platform that is
            the originator of the this transfer. Depending on the configuration
            being used, this does not necessarily need to be a customer.
          format: uuid
          type: string
        reference_id:
          description: >-
            The unique network reference ID assigned to the transfer by the
            FinTech.
          type: string
        settlement_date:
          format: date
          type: string
        source_external_account_id:
          description: >-
            The ID of the external account in the Synctera Platform that is the
            ultimate source of funds for this transfer.
          format: uuid
          type: string
        status:
          $ref: '#/components/schemas/incoming_synctera_pay_status'
        tenant:
          $ref: '#/components/schemas/tenant_id'
        transaction_id:
          description: >-
            The ID of the transaction in the Synctera Ledger related to this
            transfer.
          format: uuid
          type: string
      required:
        - amount
        - configuration_id
        - creation_time
        - destination_account_id
        - id
        - last_updated_time
        - payee_id
        - payer_id
        - reference_id
        - settlement_date
        - source_external_account_id
        - status
        - tenant
      type: object
    incoming_synctera_pay_status:
      description: >
        The status of the incoming transfer. All values other than POSTED and
        DECLINED are intermediate statuses that will only appear if the transfer
        needs to be retried, using the same idempotency key.
      enum:
        - CHECK
        - CREATE_HOLD
        - DECLINED
        - DECLINE_HOLD
        - POSTED
        - POST_HOLD
      type: string
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    not_found:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Resource not found
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````